<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\DI;

use PpPhp\Core\Platform\DI\Contracts\ContainerInterface;
use PpPhp\Core\Platform\DI\Contracts\ServiceProviderInterface;

final class PlatformDIServiceProvider implements ServiceProviderInterface
{
    public function register(ContainerInterface $container): void
    {
        $container->instance(ContainerInterface::class, $container);
        if ($container instanceof Container) {
            $container->instance(Container::class, $container);
        }
    }

    public function boot(ContainerInterface $container): void {}
}
